if (ROBOT-MSGS_CONFIG_INCLUDED)
  return()
endif()
set(ROBOT-MSGS_CONFIG_INCLUDED TRUE)

set(ROBOT-MSGS_PROTO_DIR /usr/include/robot_msgs-0.1/)

list(APPEND ROBOT-MSGS_INCLUDE_DIRS /usr/include)
list(APPEND ROBOT-MSGS_INCLUDE_DIRS /usr/include/robot_msgs-0.1)

list(APPEND ROBOT-MSGS_LIBRARY_DIRS /usr/lib/x86_64-linux-gnu)
list(APPEND ROBOT-MSGS_LIBRARY_DIRS /usr/lib/x86_64-linux-gnu/robot_msgs-0.1/plugins)

list(APPEND ROBOT-MSGS_CFLAGS -I/usr/include)
list(APPEND ROBOT-MSGS_CFLAGS -I/usr/include/robot_msgs-0.1)

foreach(lib robot_msgs)
  set(onelib "${lib}-NOTFOUND")
  find_library(onelib ${lib}
    PATHS /usr/lib/x86_64-linux-gnu
    NO_DEFAULT_PATH
    )
  if(NOT onelib)
    message(FATAL_ERROR "Library '${lib}' in package ROBOT-MSGS is not installed properly")
  endif()
  list(APPEND ROBOT-MSGS_LIBRARIES ${onelib})
endforeach()

foreach(dep Boost;Protobuf)
  if(NOT ${dep}_FOUND)
    find_package(${dep} REQUIRED)
  endif()
  list(APPEND ROBOT-MSGS_INCLUDE_DIRS ${${dep}_INCLUDE_DIRS})

  # Protobuf needs to be capitalized to match PROTOBUF_LIBRARIES
  if (${dep} STREQUAL "Protobuf")
    string (TOUPPER ${dep} dep_lib)
  else()
    set (dep_lib ${dep})
  endif()
    
  list(APPEND ROBOT-MSGS_LIBRARIES ${${dep_lib}_LIBRARIES})
endforeach()

list(APPEND ROBOT-MSGS_LDFLAGS -Wl,-rpath,/usr/lib/x86_64-linux-gnu,-rpath,/usr/lib/x86_64-linux-gnu/robot_msgs-0.1/plugins)
list(APPEND ROBOT-MSGS_LDFLAGS -L/usr/lib/x86_64-linux-gnu)
list(APPEND ROBOT-MSGS_LDFLAGS -L/usr/lib/x86_64-linux-gnu/robot_msgs-0.1/plugins)
